---
id: 615f42a021625f656101ef93
title: Step 22
challengeType: 0
dashedName: step-22
---

# --description--

Horizontal spacing between equally important elements can increase the readability of your text.

Wrap the text `2/3 cup (55g)` in a `span` element, and give it a `class` attribute set to `right`.

# --hints--

You should create a new `span` element.

```js
assert(document.querySelector('span'));
```

Your new `span` element should have the `class` attribute set to `right`.

```js
assert(document.querySelector('span')?.classList?.contains('right'));
```

Your `.right` element should have the text `2/3 cup (55g)`.

```js
assert(document.querySelector('span')?.textContent === '2/3 cup (55g)');
```

Your `p` element should still have the text `Serving size 2/3 cup (55g)`.

```js
assert(document.querySelectorAll('p')?.[1]?.innerText === 'Serving size 2/3 cup (55g)');
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8">
    <title>Nutrition Label</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700,800" rel="stylesheet">
    <link href="./styles.css" rel="stylesheet">
  </head>
  <body>
--fcc-editable-region--
    <div class="label">
      <h1 class="bold">Nutrition Facts</h1>
      <div class="divider"></div>
      <p>8 servings per container</p>
      <p class="bold">Serving size 2/3 cup (55g)</p>
    </div>
--fcc-editable-region--
  </body>
</html>
```

```css
* {
  box-sizing: border-box;
}

html {
  font-size: 16px;
}

body {
  font-family: 'Open Sans', sans-serif;
}

.label {
  border: 2px solid black;
  width: 270px;
  margin: 20px auto;
  padding: 0 7px;
}

h1 {
  text-align: center;
  margin: -4px 0;
  letter-spacing: 0.15px
}

p {
  margin: 0;
}

.divider {
  border-bottom: 1px solid #888989;
  margin: 2px 0;
}

.bold {
  font-weight: 800;
}
```
